Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support.internal.controller
Class ExporterController

    java.lang.Object
      org.eclipse.gemini.blueprint.service.exporter.support.internal.controller.ExporterController

All Implemented Interfaces:
  ExporterInternalActions

    public class ExporterController

extends Object
implements ExporterInternalActions

Internal class that allows framework code (in other packages) to work with the exporter internals without exposing the methods on the exporter public API.

Author:
  Costin Leau

Constructor Summary
`ExporterController(ExporterInternalActions executor)`

Method Summary
`void` | `callUnregisterOnStartup()`
`void` | `registerService()`
`void` | `registerServiceAtStartup(boolean register)`
`void` | `unregisterService()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExporterController

    public ExporterController(ExporterInternalActions executor)

Method Detail

### registerService

    public void registerService()

  Specified by:
    `registerService` in interface `ExporterInternalActions`

### registerServiceAtStartup

    public void registerServiceAtStartup(boolean register)

  Specified by:
    `registerServiceAtStartup` in interface `ExporterInternalActions`

### unregisterService

    public void unregisterService()

  Specified by:
    `unregisterService` in interface `ExporterInternalActions`

### callUnregisterOnStartup

    public void callUnregisterOnStartup()

  Specified by:
    `callUnregisterOnStartup` in interface `ExporterInternalActions`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.